Loading...
Searching...
No Matches
dolfin::MixedLinearVariationalProblem Class Reference

`#include <MixedLinearVariationalProblem.h>`

Inheritance diagram for dolfin::MixedLinearVariationalProblem:
[legend]
Collaboration diagram for dolfin::MixedLinearVariationalProblem:
[legend]

## Public Types

typedef std::vector< std::vector< std::shared_ptr< const Form > > > | form_list_type

## Public Member Functions

| MixedLinearVariationalProblem (form_list_type a, form_list_type L, std::vector< std::shared_ptr< Function > > u, std::vector< std::shared_ptr< const DirichletBC > > bcs)
form_list_type | bilinear_form () const
| Return bilinear form.
std::shared_ptr< const Form > | bilinear_form (int i, int j=0) const
form_list_type | linear_form () const
| Return linear form.
std::shared_ptr< const Form > | linear_form (int i, int j=0) const
std::vector< std::shared_ptr< Function > > | solution ()
| Return solution variable.
std::shared_ptr< Function > | solution (int i)
std::vector< std::vector< std::shared_ptr< const DirichletBC > > > | bcs () const
| Return boundary conditions.
std::vector< std::shared_ptr< const DirichletBC > > | bcs (int i) const
std::vector< std::shared_ptr< const FunctionSpace > > | trial_space () const
| Return trial space.
std::shared_ptr< const FunctionSpace > | trial_space (int i) const
std::vector< std::shared_ptr< const FunctionSpace > > | test_space () const
| Return test space.
std::shared_ptr< const FunctionSpace > | test_space (int i) const
Public Member Functions inherited from dolfin::Hierarchical< MixedLinearVariationalProblem >
| Hierarchical (MixedLinearVariationalProblem &self)
| Constructor.
virtual | ~Hierarchical ()
| Destructor.
std::size_t | depth () const
bool | has_parent () const
bool | has_child () const
MixedLinearVariationalProblem & | parent ()
std::shared_ptr< MixedLinearVariationalProblem > | parent_shared_ptr ()
MixedLinearVariationalProblem & | child ()
std::shared_ptr< MixedLinearVariationalProblem > | child_shared_ptr ()
MixedLinearVariationalProblem & | root_node ()
std::shared_ptr< MixedLinearVariationalProblem > | root_node_shared_ptr ()
MixedLinearVariationalProblem & | leaf_node ()
std::shared_ptr< MixedLinearVariationalProblem > | leaf_node_shared_ptr ()
void | set_parent (std::shared_ptr< MixedLinearVariationalProblem > parent)
| Set parent.
void | clear_child ()
| Clear child.
void | set_child (std::shared_ptr< MixedLinearVariationalProblem > child)
| Set child.
const Hierarchical & | operator= (const Hierarchical &hierarchical)
| Assignment operator.
void | _debug () const
| Function useful for debugging the hierarchy.

## Detailed Description

This class represents a mixed linear variational problem:

Find u = (u_1, ..., u_n) in V = V1 x ... x Vn such that

    a(u, v) = L(v)  for all v in V^,

where V is the trial space and V^ is the test space.

## Member Typedef Documentation

## form_list_type

typedef std::vector<std::vector<std::shared_ptr<const Form> > > dolfin::MixedLinearVariationalProblem::form_list_type

Create mixed linear variational problem with a list of boundary conditions

The documentation for this class was generated from the following files:

- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/fem/MixedLinearVariationalProblem.h
- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/fem/MixedLinearVariationalProblem.cpp